# pspstdio_kernel.h File Reference

`#include <psptypes.h>`
`#include <pspkerneltypes.h>`
`#include <pspiofilemgr.h>`

Include dependency graph for pspstdio_kernel.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | sceKernelStdoutReopen (const char *file, int flags, SceMode mode)
| Function reopen the stdout file handle to a new file.
int | sceKernelStderrReopen (const char *file, int flags, SceMode mode)
| Function reopen the stderr file handle to a new file.
int | fdprintf (int fd, const char *format,...)
| fprintf but for file descriptors